# A React plugin example for Wordpress

## How to Build

* It requires Node JS
* Install NPM packages using the command `npm install`, it must create a *node_module* directory
* Build using the command `npm start`

**Build Output:**

```
> react-example@1.0.0 start /home/www/wordpress-5.5.1/wp-content/plugins/react-example
> wp-scripts start


webpack is watching the files…

Live Reload listening on port 35729

Hash: 27b5b6f079856b74275f
Version: webpack 4.44.2
Time: 621ms
Built at: 24/10/2020 00:07:36
          Asset       Size  Chunks                   Chunk Names
index.asset.php  122 bytes   index  [emitted]        index
       index.js   17.3 KiB   index  [emitted]        index
   index.js.map   11.6 KiB   index  [emitted] [dev]  index
Entrypoint index = index.js index.js.map index.asset.php
[./src/index.js] 3.79 KiB {index} [built]
[@wordpress/element] external {"this":["wp","element"]} 42 bytes {index} [built]
    + 8 hidden modules
```

It must create a *build* directory containing an *index.js* file.

It runs the [wp-script](https://developer.wordpress.org/block-editor/packages/packages-scripts/) tool.

## How to integrate in Wordpress

* Install the plugin directory in *wordpress/wp-content/plugins/*
* Check the plugin is listed in http://localhost/wordpress/wp-admin/plugins.php and activate it
* Create a new page and add a **shortcode** block containing `[example-react-app]` or in the code editor
  ```
  <!-- wp:shortcode -->
  [example-react-app]
  <!-- /wp:shortcode -->
  ```
